<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'beegees',

    /*
     * Package.
     */
    'package'   => 'page',

    /*
     * Modules.
     */
    'modules'   => ['blog', 'category'],

    'blog'       => [
        'model' => [
            'model' => \Beegees\Page\Models\Blog::class,
            'repository' => \Beegees\Page\Repositories\Eloquent\BlogRepository::class,
            'table' => 'blogs',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'category_id',  'title',  'summary',  'description',  'images',  'tags',  'viewcount',  'slug',  'status',  'user_id',  'user_type',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'page/blog',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Beegees',
            'package' => 'Page',
            'module' => 'Blog',
        ],
    ],
    'category'       => [
        'model' => [
            'model' => \Beegees\Page\Models\Category::class,
            'repository' => \Beegees\Page\Repositories\Eloquent\CategoryRepository::class,
            'table' => 'categories',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'name',  'slug',  'status',  'user_id',  'user_type',  'deleted_at',  'created_at',  'updated_at'],
            'translatables' => [],
            'upload_folder' => 'page/category',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Beegees',
            'package' => 'Page',
            'module' => 'Category',
        ],
    ],
];
