Lavalite package that provides page management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `beegees/page`.

    "beegees/page": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Beegees\Page\Providers\PageServiceProvider::class,

And also add it to alias

    'Page'  => Beegees\Page\Facades\Page::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Beegees\\Page\\Seeds\\PageTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Beegees\Page\Providers\PageServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Beegees\Page\Providers\PageServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Beegees\Page\Providers\PageServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/page/{modulename}

**User**

    http://path-to-route-folder/user/page/{modulename}

**Public**

    http://path-to-route-folder/pages


### API endpoints

**List**

    http://path-to-route-folder/api/user/page/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/page/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/page/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/page/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/page/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/page/{modulename}/{slug}
    METHOD: GET