<?php

// API routes  for page.

// Guard routes for blog
Route::prefix('{guard}/page')->group(function () {
    Route::resource('blog', 'BlogResourceController');
});

// Guard routes for category
Route::prefix('{guard}/page')->group(function () {
    Route::resource('category', 'CategoryResourceController');
});



// Public routes for page
Route::get('pages/', 'PagePublicController@index');
Route::get('page/{slug?}', 'PagePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for blog
            Route::prefix('{guard}/page')->group(function () {
                Route::resource('blog', 'BlogResourceController');
            });
            
            // Guard routes for category
            Route::prefix('{guard}/page')->group(function () {
                Route::resource('category', 'CategoryResourceController');
            });
            
            

            // Public routes for page
            Route::get('pages/', 'PagePublicController@index');
            Route::get('page/{slug?}', 'PagePublicController@show');
        }
    );
}