<?php

namespace Beegees\Page\Forms;

use Litepie\Form\FormInterpreter;

class Blog extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('page/blog/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('page/blog/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('page/blog'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('page/blog'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('page/blog'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('page/blog'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('page::page.label.name'),
                "placeholder" => trans('page::page.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('page::page.label.created_at'),
            'name' => trans('page::page.label.name'),
            'status' => trans('page::page.label.status'),
        ];
        self::$groups = [
            'main' => trans('page::page.groups.main'),
            'details' => trans('page::page.groups.details'),
            'images' => trans('page::page.groups.images'),
            'settings' => trans('page::page.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('page::page.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('page::page.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('page::page.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('page::page.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'category_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('page::blog.label.category_id'),
                "placeholder" => trans('page::blog.placeholder.category_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'title' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('page::blog.label.title'),
                "placeholder" => trans('page::blog.placeholder.title'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'summary' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('page::blog.label.summary'),
                "placeholder" => trans('page::blog.placeholder.summary'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'description' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('page::blog.label.description'),
                "placeholder" => trans('page::blog.placeholder.description'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'images' => [
                "element" => 'file',
                "type" => 'images',
                "label" => trans('page::blog.label.images'),
                "placeholder" => trans('page::blog.placeholder.images'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'tags' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('page::blog.label.tags'),
                "placeholder" => trans('page::blog.placeholder.tags'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'viewcount' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('page::blog.label.viewcount'),
                "placeholder" => trans('page::blog.placeholder.viewcount'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
