<?php

namespace Beegees\Page\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Blog policy
        \Beegees\Page\Repositories\Eloquent\BlogRepository::class 
        => \Beegees\Page\Policies\BlogPolicy::class,// Bind Category policy
        \Beegees\Page\Repositories\Eloquent\CategoryRepository::class 
        => \Beegees\Page\Policies\CategoryPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
