<?php

namespace Beegees\Page\Repositories\Eloquent;

use Beegees\Page\Interfaces\BlogRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Beegees\Page\Repositories\Eloquent\Presenters\BlogItemPresenter;


class BlogRepository extends BaseRepository implements BlogRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('beegees.page.blog.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('beegees.page.blog.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return BlogItemPresenter::class;
    }
}
