<?php

namespace Beegees\Page\Repositories\Eloquent;

use Beegees\Page\Interfaces\CategoryRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Beegees\Page\Repositories\Eloquent\Presenters\CategoryItemPresenter;


class CategoryRepository extends BaseRepository implements CategoryRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('beegees.page.category.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('beegees.page.category.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return CategoryItemPresenter::class;
    }
}
